Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.selectionlist
Interface ISelectionListManager

public interface ISelectionListManager

`ISelectionListManager` is an interface for managing `ISelectionList` functionality. It handles selection list creation, removal and retrieval.

To update selection list values use `ISelectionList.add/removeValues`, and `ISelectionList.store` to persist the changes.

Refer to the Administrator Guide for Content Server for additional details on selection list functionality.

An example using `ISelectionListManager` can be found in the documentation for `ISelectionList`.

Method Summary
`ISelectionList` | `createSelectionList(IFolder containingFolder, java.lang.String name, java.lang.String[] values)` Creates a new `ISelectionList` instance.
`ISelectionList` | `getSelectionList(java.lang.String uuid)` Returns an `ISelectionList` by its UUID.
`ISelectionList[]` | `getSelectionLists(IFolder folder)` Returns all `ISelectionList`s contained in a given `IFolder`.
`void` | `removeSelectionList(ISelectionList selectionList)` Deletes the selection list.

Method Detail

### createSelectionList

    public ISelectionList createSelectionList(IFolder containingFolder,
                                              java.lang.String name,
                                              java.lang.String[] values)

  Creates a new `ISelectionList` instance. `ISelectionList.store` needs to be called to persist the newly-created selection list.

  An `IllegalStateException` will be thrown if the containing folder has not been stored.

  Parameters:
    `containingFolder` - the folder the new selection list will be created in. This value cannot be `null`.
    `name` - the name of the selection list. The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison. If there is another selection list with the same name in the folder a `NameAlreadyInUseException` will be thrown when `ISelectionList.store` is called.
    `values` - the initial text values of the selection list. The text values cannot be `null`, an empty string, or a string longer than 255 characters. Text values will preserve whitespace when stored and are case-sensitive during comparison. Duplicate text values will only be added once. The order of the values will be preserved.
  Returns:
    a new `ISelectionList` instance.
  Throws:
    `java.lang.IllegalStateException` - if specified folder has been deleted or has not been stored..
    `java.lang.IllegalArgumentException` - if `name` is an empty string or longer than 255 characters or there is an empty string or string longer than 255 characters in the `values` array.

### getSelectionList

    public ISelectionList getSelectionList(java.lang.String uuid)
                                    throws ContentSecurityException,
                                           ContentException,
                                           java.rmi.RemoteException

  Returns an `ISelectionList` by its UUID.

  Parameters:
    `uuid` - the `ISelectionList` UUID. The UUID of an object can be obtained using the `getUUID` method in the `ISelectionList` class. This value cannot be `null`, empty, or longer than 255 characters
  Returns:
    the `ISelectionList` or `null` if the selection list does not exist.
  Throws:
    `java.lang.IllegalArgumentException` - if the UUID is an empty string or longer than 255 characters.
    `ContentSecurityException` - if the user does not have permission to access the selection list.
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.
    `java.lang.IllegalStateException` - if the selection list has been removed.

### getSelectionLists

    public ISelectionList[] getSelectionLists(IFolder folder)
                                       throws ContentSecurityException,
                                              ContentException,
                                              java.rmi.RemoteException

  Returns all `ISelectionList`s contained in a given `IFolder`.

  Parameters:
    `folder` - the folder to retrieve selection lists from; cannot be `null`.
  Returns:
    an array of `ISelectionList`s in the specified folder. The returned array is not ordered.
  Throws:
    `ContentSecurityException` - if the user does not have permission to access the folder.
    `ContentException` - If the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - If there was a communication problem during the execution of the remote method call.
    `java.lang.IllegalStateException` - If the specified folder has been deleted or has not been stored..

### removeSelectionList

    public void removeSelectionList(ISelectionList selectionList)
                             throws ContentSecurityException,
                                    ContentException,
                                    java.rmi.RemoteException

  Deletes the selection list.

  Note: When a selection list is deleted, all the `ISelectionListProperty`s associated with this selection list will be automatically removed from the `IDataEntryTemplate`s containing the `ISelectionListProperty`.

  Parameters:
    `selectionList` - selection list to be deleted; cannot be `null`.
  Throws:
    `ContentSecurityException` - if the user does not have permission to delete the selection list.
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.
  See Also:
    `IDataEntryTemplate.addProperty(com.plumtree.remote.prc.content.property.IBaseProperty)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.